<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('siswa', function (Blueprint $table) {
            $table->bigIncrements('nisn');
            $table->string('password', 8)->nullable(false);
            $table->string('nama_siswa', 100)->nullable(false);
            $table->string('tempat_lahir', 100)->nullable(false);
            $table->timestamp('tanggal_lahir')->nullable(false);
            $table->string('nomor_hp', 13)->nullable(false);
            $table->text('alamat')->nullable(false);
            $table->unsignedBigInteger('id_kelas');

            
            $table->foreign('id_kelas')->references('id_kelas')->on('kelas')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('siswa');
    }
};
